//
//  Document.m
//  beamermath
//

/*
 Created on 9.8.2018 by
 
 PD Dr. Fritz Hörmann
 Mathematisches Institut - Raum 433
 Albert-Ludwigs-Universität Freiburg
 Ernst-Zermelo-Strasse 1
 D-79104 Freiburg
 eMail: fritz.hoermann@math.uni-freiburg.de
 Tel: +49 761 99520388
 
 Licensed under CC BY-SA 4.0.
 https://creativecommons.org/licenses/by-sa/4.0/legalcode
 */

#import "Document.h"

@implementation Document

@synthesize mainview;
@synthesize mainwindow;

- (id)init
{
    self = [super init];
    if (self) {
        // Add your subclass-specific initialization here.
    }
    return self;
}

- (NSString *)windowNibName
{
    return @"Document";
}

- (void)windowControllerDidLoadNib:(NSWindowController *)aController
{
    [super windowControllerDidLoadNib:aController];
    
    mainview.url = [self fileURL];
    [mainview pdfreadmetadata];
    [mainview display];
    [mainwindow makeKeyAndOrderFront:mainwindow];
    [mainview pdfloadpage];
}

+ (BOOL)autosavesInPlace
{
    return NO;
}

- (NSData *)dataOfType:(NSString *)typeName error:(NSError **)outError
{
    return NULL;
}

- (BOOL)readFromData:(NSData *)data ofType:(NSString *)typeName error:(NSError **)outError
{
    return YES;
}

- (BOOL)readFromURL:(NSURL *)url ofType:(NSString *)typeName error:(NSError *__autoreleasing *)outError
{
    return YES;
}

@end
